diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java
index cf2b49f1e..a8d2302f6 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java
@@ -129,7 +129,7 @@ public abstract class MobInfoRegistry {
             20,
             800,
             new MobDrop[] {
-                new MobDrop(new ItemStack(Items.SULPHUR), 0.66f, 1, 2)
+                new MobDrop(new ItemStack(Items.GUNPOWDER), 0.66f, 1, 2)
             }
         );
         register(MobSkeleton.class,
@@ -166,7 +166,7 @@ public abstract class MobInfoRegistry {
             20,
             1000,
             new MobDrop[] {
-                new MobDrop(new ItemStack(Items.SULPHUR), 0.66f, 1, 2)
+                new MobDrop(new ItemStack(Items.GUNPOWDER), 0.66f, 1, 2)
             }
         );
         register(MobZombiePig.class,
diff --git a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
index 0e7b69eb7..724e6acfd 100644
--- a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
+++ b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
@@ -175,7 +175,7 @@ public class ItemModelDispatcher extends Dispatcher<Item, ItemModel> {
 
         addDispatch(new ItemModelStandard(Items.STRING, "minecraft"));
         addDispatch(new ItemModelStandard(Items.FEATHER_CHICKEN, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.SULPHUR, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.GUNPOWDER, "minecraft"));
 
         addDispatch(new ItemModelStandard(Items.TOOL_HOE_WOOD, "minecraft")
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
diff --git a/game/client/src/main/resources/assets/minecraft/textures/item/sulphur.png b/game/client/src/main/resources/assets/minecraft/textures/item/gunpowder.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/item/sulphur.png
rename to game/client/src/main/resources/assets/minecraft/textures/item/gunpowder.png
diff --git a/game/core/src/main/java/net/minecraft/core/entity/monster/MobCreeper.java b/game/core/src/main/java/net/minecraft/core/entity/monster/MobCreeper.java
index 6d4881887..ed9e69a23 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/monster/MobCreeper.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/monster/MobCreeper.java
@@ -5,10 +5,8 @@ import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityLightning;
 import net.minecraft.core.item.Items;
 import com.mojang.nbt.tags.CompoundTag;
-import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
-import org.jetbrains.annotations.Nullable;
 
 public class MobCreeper extends MobMonster
 {
@@ -20,7 +18,7 @@ public class MobCreeper extends MobMonster
         setTextureIdentifier("minecraft", "creeper");
         scoreValue = 800;
         setSize(0.6F, 1.6F);
-        mobDrops.add(new WeightedRandomLootObject(Items.SULPHUR.getDefaultStack(), 0, 2));
+        mobDrops.add(new WeightedRandomLootObject(Items.GUNPOWDER.getDefaultStack(), 0, 2));
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/entity/monster/MobGhast.java b/game/core/src/main/java/net/minecraft/core/entity/monster/MobGhast.java
index ce3b5801e..fbeb64774 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/monster/MobGhast.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/monster/MobGhast.java
@@ -5,7 +5,6 @@ import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.MobFlying;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.entity.projectile.ProjectileFireball;
-import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.item.Items;
@@ -42,7 +41,7 @@ public class MobGhast extends MobFlying
         fireImmune = true;
         scoreValue = 1000;
         bb.grow(2F, 3F, 2F);
-        mobDrops.add(new WeightedRandomLootObject(Items.SULPHUR.getDefaultStack(), 0, 2));
+        mobDrops.add(new WeightedRandomLootObject(Items.GUNPOWDER.getDefaultStack(), 0, 2));
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/item/Items.java b/game/core/src/main/java/net/minecraft/core/item/Items.java
index 291861c4a..e35a78c2b 100644
--- a/game/core/src/main/java/net/minecraft/core/item/Items.java
+++ b/game/core/src/main/java/net/minecraft/core/item/Items.java
@@ -49,7 +49,7 @@ public final class Items {
     public static Item TOOL_AXE_GOLD;
     public static Item STRING;
     public static Item FEATHER_CHICKEN;
-    public static Item SULPHUR;
+    public static Item GUNPOWDER;
     public static Item TOOL_HOE_WOOD;
     public static Item TOOL_HOE_STONE;
     public static Item TOOL_HOE_IRON;
@@ -269,7 +269,7 @@ public final class Items {
         TOOL_AXE_GOLD = (new ItemToolAxe("tool.axe.gold", "minecraft:item/tool_axe_gold", 16414, ToolMaterial.gold));
         STRING = (new Item("string", "minecraft:item/string", 16415));
         FEATHER_CHICKEN = (new Item("feather.chicken", "minecraft:item/feather_chicken", 16416));
-        SULPHUR = (new Item("sulphur", "minecraft:item/sulphur", 16417));
+        GUNPOWDER = (new Item("gunpowder", "minecraft:item/gunpowder", 16417));
         TOOL_HOE_WOOD = (new ItemToolHoe("tool.hoe.wood", "minecraft:item/tool_hoe_wood", 16418, ToolMaterial.wood));
         TOOL_HOE_STONE = (new ItemToolHoe("tool.hoe.stone", "minecraft:item/tool_hoe_stone", 16419, ToolMaterial.stone));
         TOOL_HOE_IRON = (new ItemToolHoe("tool.hoe.iron", "minecraft:item/tool_hoe_iron", 16420, ToolMaterial.iron));
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDungeon.java b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDungeon.java
index 4c7dcd01f..0b9b848ad 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDungeon.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDungeon.java
@@ -34,7 +34,7 @@ public class WorldFeatureDungeon extends WorldFeature
         chestLoot.addEntry(new WeightedRandomLootObject(Items.INGOT_IRON.getDefaultStack(), 1, 4), 100);
         chestLoot.addEntry(new WeightedRandomLootObject(Items.FOOD_BREAD.getDefaultStack()), 100);
         chestLoot.addEntry(new WeightedRandomLootObject(Items.WHEAT.getDefaultStack(), 1, 4), 100);
-        chestLoot.addEntry(new WeightedRandomLootObject(Items.SULPHUR.getDefaultStack(), 1, 4), 100);
+        chestLoot.addEntry(new WeightedRandomLootObject(Items.GUNPOWDER.getDefaultStack(), 1, 4), 100);
         chestLoot.addEntry(new WeightedRandomLootObject(Items.STRING.getDefaultStack(), 1, 4), 100);
         chestLoot.addEntry(new WeightedRandomLootObject(Items.BUCKET.getDefaultStack()), 100);
         chestLoot.addEntry(new WeightedRandomLootObject(Items.FOOD_APPLE_GOLD.getDefaultStack()), 1);
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java
index 407b76883..f652ee87d 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java
@@ -73,7 +73,7 @@ public class WorldFeatureLabyrinth extends WorldFeature
         this.chestLoot = new WeightedRandomBag<>();
         chestLoot.addEntry(new WeightedRandomLootObject(Items.INGOT_IRON.getDefaultStack(), 1, 6), 100);
         chestLoot.addEntry(new WeightedRandomLootObject(Items.INGOT_GOLD.getDefaultStack(), 1, 4), 100);
-        chestLoot.addEntry(new WeightedRandomLootObject(Items.SULPHUR.getDefaultStack(), 3, 8), 100);
+        chestLoot.addEntry(new WeightedRandomLootObject(Items.GUNPOWDER.getDefaultStack(), 3, 8), 100);
         chestLoot.addEntry(new WeightedRandomLootObject(Items.DIAMOND.getDefaultStack(), 1, 4), 2);
         chestLoot.addEntry(new WeightedRandomLootObject(Items.FOOD_APPLE_GOLD.getDefaultStack()), 1);
         chestLoot.addEntry(new WeightedRandomLootObject(Items.DUST_REDSTONE.getDefaultStack(), 1, 4), 100);
diff --git a/game/core/src/main/resources/lang/en_US/item.lang b/game/core/src/main/resources/lang/en_US/item.lang
index 0f387b732..a8165425c 100644
--- a/game/core/src/main/resources/lang/en_US/item.lang
+++ b/game/core/src/main/resources/lang/en_US/item.lang
@@ -84,8 +84,8 @@ item.string.name=String
 item.string.desc=Silky smooth string from a spider.
 item.feather.chicken.name=Feather
 item.feather.chicken.desc=Plucked from a chicken.
-item.sulphur.name=Sulfur
-item.sulphur.desc=Explosive powder harvested from the deadly creeper.
+item.gunpowder.name=Gunpowder
+item.gunpowder.desc=Explosive powder harvested from the deadly creeper.
 item.tool.hoe.wood.name=Wooden Hoe
 item.tool.hoe.wood.desc=Till the land with this wooden tool.
 item.tool.hoe.stone.name=Stone Hoe
diff --git a/game/core/src/main/resources/lang/en_US/tile.lang b/game/core/src/main/resources/lang/en_US/tile.lang
index 34aea4270..378ea87d6 100644
--- a/game/core/src/main/resources/lang/en_US/tile.lang
+++ b/game/core/src/main/resources/lang/en_US/tile.lang
@@ -455,6 +455,8 @@ tile.sand.name=Sand
 tile.sand.desc=Gets everywhere.
 tile.gravel.name=Gravel
 tile.gravel.desc=A loose collection of pebbles.
+tile.sulfur.name=Sulfur
+tile.sulfur.desc=Yellow.
 
 tile.bedrock.name=Bedrock
 tile.bedrock.desc=The toughest substance known to man.
diff --git a/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java b/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java
index 7ae13dcb6..e2672c000 100644
--- a/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java
+++ b/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java
@@ -13,7 +13,7 @@ public class TrommelGenerator {
             .setInput(Blocks.BLOCK_CLAY)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.CLAY), 4, 8), 30)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.AMMO_PEBBLE), 1, 3), 20)
-            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.SULPHUR), 1), 10)
+            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.GUNPOWDER), 1), 10)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_GOLD), 1), 1)
             .create("clay");
 
@@ -22,7 +22,7 @@ public class TrommelGenerator {
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.AMMO_PEBBLE), 1, 3), 50)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.CLAY), 1, 5), 20)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.FLINT), 1, 3), 10)
-            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.SULPHUR), 1), 2)
+            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.GUNPOWDER), 1), 2)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_IRON), 1), 0.5)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.OLIVINE), 1), 0.25)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.QUARTZ), 1), 0.25)
@@ -35,7 +35,7 @@ public class TrommelGenerator {
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.AMMO_PEBBLE), 1, 6), 25)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_IRON), 1, 2), 10)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.DYE,1, DyeColor.BLUE.itemMeta), 2, 6), 5)
-            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.SULPHUR), 1), 5)
+            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.GUNPOWDER), 1), 5)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.QUARTZ), 1), 0.5)
             .create("gravel");
 
@@ -57,7 +57,7 @@ public class TrommelGenerator {
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.AMMO_PEBBLE), 1, 5), 25)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.BONE), 1, 3), 10)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.FLINT), 1, 3), 10)
-            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.SULPHUR), 1), 5)
+            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.GUNPOWDER), 1), 5)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.OLIVINE), 1), 5)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_GOLD), 1), 1)
             .create("sand");
diff --git a/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java b/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
index 62e17e184..58feeca8d 100644
--- a/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
+++ b/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
@@ -2,7 +2,6 @@ package net.minecraft.datagen;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.item.Item;
-import net.minecraft.core.item.ItemStatue;
 import net.minecraft.datagen.recipeBuilders.RecipeBuilder;
 import net.minecraft.datagen.recipeBuilders.RecipeBuilderShaped;
 import net.minecraft.core.block.Blocks;
@@ -631,7 +630,7 @@ class WorkbenchGenerator {
                 " # ")
             .addInput('S', Items.STRING)
             .addInput('#', Items.INGOT_IRON)
-            .addInput('X', Items.SULPHUR)
+            .addInput('X', Items.GUNPOWDER)
             .create("explosive_charge", new ItemStack(Items.AMMO_CHARGE_EXPLOSIVE, 4));
     }
 
@@ -1204,7 +1203,7 @@ class WorkbenchGenerator {
                 "X#X",
                 "#X#",
                 "X#X")
-            .addInput('X', Items.SULPHUR)
+            .addInput('X', Items.GUNPOWDER)
             .addInput('#', Blocks.SAND)
             .create("tnt", new ItemStack(Blocks.TNT));
 
